Subject: [Mgs] 1954 MG TF Robbins Top Installation

From: Donald Joseph Toy via Mgs <[email-masked]>
Date: Mon, 13 Jul 2015 17:18:55 -0400

Listers,
I could use a little advice. I am in the process of installing a new Robbins top on my 1954 TF. I recovered the header rail and it went smoothly. I added a modern weatherstrip under the vinyl for additional weather protection (the MG hasn’t seen rain in 40 years). The problem I am having is since Robbins tops come with no instructions and not much in the way of installation bits I was wondering how everyone else makes the attachment around the back wooden strips. The last top was simply stapled onto the wooden strips. I have attached it once and it seems I have more material on one side and it’s really going to be a stretch to get enough to make it far enough to get under the finishing strip.I did read that some people were going to Home Depot and picking up a snap kit and installing snaps along the wood. With a new top I was hoping for a much better fit any it looks like I’m going to get. I have made sure that I marker the middle of the top and the car at both locations front and back. Any tips would be deeply appreciated. Thanks in advance.
Donald Joseph Toy
[email-masked]
“all great men are dead…and I’m not feeling well"

_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.75
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]